#### 7.2.3.1 module declarations (plural)

Syntax:
  `module` name `=` list_of_vector_expressions (which are interpreted as left generators of the module) `;`
  `module` name `=` module_expression `;`

Purpose:
  defines a left module.

Default:
  [0]

Example:

      ring r=0,(x,y,z),(c,dp);
      matrix D[3][3];
      D[1,2]=-z;  D[1,3]=y;  D[2,3]=x;
      def R=nc_algebra(1,D); // this algebra is U(so_3)
      setring R;
      vector s1 = [x2,y3,z];
      vector s2 = [xy,1,0];
      vector s3 = [0,x2-y2,z];
      poly   f  = -x*y;
      module m = s1, s2-s1,f*(s3-s1);
      m;
      ==> m[1]=[x2,y3,z]
      ==> m[2]=[-x2+xy,-y3+1,-z]
      ==> m[3]=[x3y-2x2z-xy,xy4-x3y+xy3+2x2z+xy]
      // show m in matrix format (columns generate m)
      print(m);
      ==> x2,-x2+xy,x3y-2x2z-xy,
      ==> y3,-y3+1, xy4-x3y+xy3+2x2z+xy,
      ==> z, -z,    0

User manual for Singular version 4.4.1, 2025, generated by texi2html.